> ## Documentation Index
> Fetch the complete documentation index at: https://docs.concretehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List connections

> List the workspace's data connections with cursor-based pagination.




## OpenAPI

````yaml /openapi.yaml get /connections
openapi: 3.1.0
info:
  title: Concrete API
  description: >
    The Concrete API provides programmatic access to view and create select data
    in Concrete.  The API is primarily intended to facilitate data pipeline
    automations for portfolio management.
  version: 1.0.0
  license:
    name: MIT
  contact:
    name: Concrete Support
    email: support@concretehq.com
    url: https://concretehq.com
servers:
  - url: https://app.concretehq.com/api/v1
    description: Production server
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: Authentication and member information
  - name: Companies
    description: Portfolio company management
  - name: Funds
    description: Fund and portfolio management
  - name: Meetings
    description: External meeting imports
  - name: Notes
    description: Notes attached to companies and people
  - name: Connections
    description: Data connections and message uploads
  - name: Trackers
    description: Tracked metrics and their per-company value history
paths:
  /connections:
    get:
      tags:
        - Connections
      summary: List connections
      description: |
        List the workspace's data connections with cursor-based pagination.
      operationId: listConnections
      parameters:
        - name: pageToken
          in: query
          description: Token for pagination to get next page
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: 'Number of results per page (default: 100, max: 100)'
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 100
      responses:
        '200':
          description: List of connections
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectionsResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    ConnectionsResponse:
      type: object
      required:
        - items
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/Connection'
        nextPageToken:
          type: string
          description: Token for fetching next page
          example: next_page_token_here
    Connection:
      type: object
      description: A workspace data connection.
      required:
        - publicId
        - provider
        - createdAt
        - errorId
        - errorAt
        - syncedAt
        - disabledAt
        - label
        - followLinks
        - followDocsend
      properties:
        publicId:
          type: string
          description: Connection public ID
          example: abc123def456
        provider:
          type: string
          description: Provider identifier (e.g., "upload")
          example: upload
        createdAt:
          type: string
          format: date-time
          description: When the connection was created
        errorId:
          type: string
          nullable: true
          description: Identifier for the most recent error, if any
        errorAt:
          type: string
          format: date-time
          nullable: true
          description: When the most recent error occurred
        syncedAt:
          type: string
          format: date-time
          nullable: true
          description: When the connection was last synced
        disabledAt:
          type: string
          format: date-time
          nullable: true
          description: When the connection was disabled, if applicable
        label:
          type: string
          nullable: true
          description: Human-readable label for the connection
          example: Q4 Email Export
        followLinks:
          type: boolean
          description: Whether to crawl and ingest content behind links found in messages
        followDocsend:
          type: boolean
          description: Whether to crawl and ingest DocSend links found in messages
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Human-readable error message
          example: Not found
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key authentication using Bearer token format

````